Page MenuHomePhabricator

decommission: labtestcontrol2001.wikimedia.org
Closed, ResolvedPublic

Description

This task will track the decommission of server labtestcontrol2001.wikimedia.org.

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

labtestcontrol2001.wikimedia.org

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptMar 11 2019, 12:09 PM
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Mar 11 2019, 1:07 PM

Change 497293 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] wmcs: decommision several codfw servers

https://gerrit.wikimedia.org/r/497293

aborrero renamed this task from Hardware decommission: labtestcontrol2001.wikimedia.org to decommission: labtestcontrol2001.wikimedia.org.Mar 18 2019, 1:28 PM
aborrero changed the task status from Open to Stalled.
aborrero updated the task description. (Show Details)
aborrero added subscribers: RobH, Papaul.
jijiki triaged this task as Normal priority.Mar 19 2019, 6:19 PM
Dzahn moved this task from Backlog to Decommission on the ops-codfw board.Apr 12 2019, 12:07 AM
aborrero claimed this task.Apr 12 2019, 8:56 AM
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Apr 12 2019, 9:05 AM

Mentioned in SAL (#wikimedia-operations) [2019-04-12T09:05:57Z] <arturo> T218021 disable icinga checks for labtestcontrol2001

Change 503296 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labtestcontrol2001: decommision

https://gerrit.wikimedia.org/r/503296

Change 503296 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestcontrol2001: decommision

https://gerrit.wikimedia.org/r/503296

aborrero changed the task status from Stalled to Open.Apr 12 2019, 10:46 AM
aborrero reassigned this task from aborrero to RobH.
aborrero updated the task description. (Show Details)

ge-5/0/20 up up labtestcontrol2001-eth0

Papaul updated the task description. (Show Details)Apr 12 2019, 5:01 PM

Change 503427 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove labtestcontrol2001 from site and DHCP, decom

https://gerrit.wikimedia.org/r/503427

Change 503427 merged by Dzahn:
[operations/puppet@production] remove labtestcontrol2001 from site and DHCP, decom

https://gerrit.wikimedia.org/r/503427

cookbooks.sre.hosts.decommission executed by dzahn@cumin1001 for hosts: labtestcontrol2001.wikimedia.org

  • labtestcontrol2001.wikimedia.org
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
Dzahn added a comment.Apr 12 2019, 7:59 PM
  • deleted from debmonitor
[cumin1001:~] $ sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/labtestcontrol2001.wikimedia.org --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key
Dzahn updated the task description. (Show Details)Apr 12 2019, 8:01 PM

Change 503471 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] labtestcontrol2001: remove production names

https://gerrit.wikimedia.org/r/503471

Change 503471 merged by Dzahn:
[operations/dns@master] labtestcontrol2001: remove production names

https://gerrit.wikimedia.org/r/503471

Dzahn reassigned this task from RobH to Papaul.Apr 12 2019, 8:36 PM

@Papaul per IRC..everything done except the switch port and back to you.

papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-public1-b-codfw]
-    member ge-5/0/20;
[edit interfaces interface-range disabled]
     member ge-1/0/16 { ... }
+    member ge-5/0/20;
[edit interfaces ge-5/0/20]
-   description labtestcontrol2001-eth0;
papaul@asw-b-codfw# run show interfaces ge-5/0/20 descriptions 
Interface       Admin Link Description
ge-5/0/20       down  down DISABLED
Papaul updated the task description. (Show Details)Apr 13 2019, 2:06 AM
Papaul updated the task description. (Show Details)Apr 16 2019, 2:39 PM

Change 504564 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for labtestcontrol2001

https://gerrit.wikimedia.org/r/504564

Change 504564 merged by Dzahn:
[operations/dns@master] DNS: Remove mgmt DNS for labtestcontrol2001

https://gerrit.wikimedia.org/r/504564

Dzahn closed this task as Resolved.Apr 17 2019, 8:17 PM
Dzahn updated the task description. (Show Details)